gnutls_aead_cipher_encryptv(3)

NAME
gnutls_aead_cipher_encryptv - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_aead_cipher_encryptv(gnutls_aead_cipher_hd_t handle, const void * nonce, size_t nonce_len, const giovec_t * auth_iov, int auth_iovcnt, size_t tag_size, const giovec_t * iov, int iovcnt, void * ctext, size_t * ctext_len);

ARGUMENTS

gnutls_aead_cipher_hd_t handle
    is a gnutls_aead_cipher_hd_t type.

const void * nonce
    the nonce to set

size_t nonce_len
    The length of the nonce

const giovec_t * auth_iov
    additional data to be authenticated

int auth_iovcnt
    The number of buffers in auth_iov

size_t tag_size
    The size of the tag to use (use zero for the default)

const giovec_t * iov
    the data to be encrypted

int iovcnt
    The number of buffers in iov

void * ctext
    the encrypted data including authentication tag

size_t * ctext_len
    the length of encrypted data (initially must hold the maximum available size, including space for tag)

DESCRIPTION
This function will encrypt the provided data buffers using the algorithm specified by the context. The output data will contain the authentication tag.

RETURNS
Zero or a negative error code on error.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/